using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;

namespace CandidateReviewContracts.BusinessLogicsContracts
{
    public interface ICompanyLogic
    {
        List<CompanyViewModel>? ReadList(CompanySearchModel? model);
        CompanyViewModel? ReadElement(CompanySearchModel model);
        int? Create(CompanyBindingModel model);
        bool Update(CompanyBindingModel model);
        bool Delete(CompanyBindingModel model);
    }
}
